# -*- coding: UTF-8 -*-
"""

Manipulations sur des objets de type matrix

"""

from matrix import Matrix

# from pages.directives import Directives

def read_directives(matrix_model):
    """
    récupère le modèle era et constuit la matrice de transformation
    @param matrix_model: le modèle era
    @return: objet matrice avec le contenu des directives
    """
    zones = matrix_model.zones
    # il s'agit de reconstituer une indexation pour la liste des champs
    zones.sort()
    zone_names = [z.name for z in zones]
    # construction d'une matrice intermédiaire (pour réorienter les flux)
    m = Matrix(fields=zone_names)

    flux = matrix_model.flux
    for f in flux:
        z1 = f.zoneA
        z2 = f.zoneB

        # séparation des flux montants et descendants
        if z1<z2:
            m[z1.name,z2.name] = len(f.up_directives_list())
            m[z2.name,z1.name] = len(f.down_directives_list())
        else:
            m[z1.name,z2.name] = len(f.down_directives_list())
            m[z2.name,z1.name] = len(f.up_directives_list())

    return m


def trs_directives(matrix_model):
    m = read_directives(matrix_model)
    # peupler la matrice de valeurs par défaut 
    m.default_fill("")
    s = Directives(m)
    print str(s)
