# -*- coding: UTF-8 -*-
"""
Module de tests unitaires pour les parsers dom
"""
import autopath

from xml.dom.minidom import parseString
from era.noyau import domparsers

from era.noyau.fwobjects import Zone,  Service, ServiceGroupe, Extremite, Directive, Flux


EXTR_NODE = """<extremite zone='zoneA' name='extr1' libelle='libelle1' netmask='255.255.255.255'>
<ip address='192.168.230.58' />
<ip address='192.168.230.59' />
<ip address='192.168.230.60' />
</extremite>
"""

def _init_extremites():
    e1 = Extremite(zones['zoneA'],"extr1", "libelle1", ["10.0.0.1"], "255.255.255.255")
    e2 = Extremite(zones['zoneA'],"extr2", "libelle2", ["10.0.0.2"], "255.255.255.255")
    e3 = Extremite(zones['zoneB'],"extr3", "libelle3", ["10.0.0.3"], "255.255.255.255")
    e4 = Extremite(zones['zoneC'],"extr4", "libelle4", ["10.0.0.4"], "255.255.255.255")
    extremites = {"extr1" : e1,"extr2" : e2,"extr3" : e3,"extr4" : e4}
    
def test_parse_extremite():
    doc = parseString(EXTR_NODE)
    ext = domparsers.instantiate_extremite_from_dom(doc.firstChild, zone)
    assert_(ext.name == "extr1", "Le nom de l'extremite n'est pas correct")
    assert_(ext.libelle == "libelle1", "Le libelle de l'extremite n'est pas correct")
    assert_(ext.netmask == "255.255.255.255", "Le netmask de l'extremite n'est pas correct")
    assert_(ext.ip_list == ['192.168.230.58','192.168.230.59','192.168.230.60'],
                 "La liste des ip n'est pas correcte")
