# -*- coding: UTF-8 -*-
"""

Test des règles netbios

"""
import autopath

from os.path import dirname, abspath, splitext, basename, join
from xml.dom.minidom import parseString

from era.backend.iptwriter import IPTWriter
from era.tests.utils import LStringIO, purge_list
from era.backend.compiler import Compiler
from era.noyau.initialize import _parse_firewall_file

from utils import LStringIO
# lancement de l'appliquation
from era.backend.compiler import Compiler
from era.backend.iptwriter import IPTWriter

from era.noyau.initialize import initialize_app

def setup_module(module):
    module.test_dir = join(abspath(dirname(__file__)) ,splitext(basename(__file__))[0])

    module.output = LStringIO()
    module.compiler = Compiler(IPTWriter, module.output, join(test_dir, 'config.ini'))
    module.writer = IPTWriter(output = module.output)

def test_presence():
    """
    présence de l'attribut netbios
    """
    # True

    NETBIOS_ATTR_TRUE = """<?xml version='1.0' encoding='ISO-8859-1' ?>
    <firewall name='3-zones.xml' netbios='1' version='1.0'>
    </firewall>
    """
    doc = parseString(NETBIOS_ATTR_TRUE)
    parse = _parse_firewall_file(doc.documentElement, False)
    netbios = list(parse)[-3]
    assert netbios == 1

    # False

    NETBIOS_ATTR_FALSE = """<?xml version='1.0' encoding='ISO-8859-1' ?>
    <firewall name='3-zones.xml' netbios='0' version='1.0'>
    </firewall>
    """
    doc = parseString(NETBIOS_ATTR_FALSE)
    parse = _parse_firewall_file(doc.documentElement, False)
    netbios = list(parse)[-3]
    assert netbios == 0

def test_default():
    """
    non présence de l'attribut netbios : comportement par défaut
    """
    # True

    NO_NETBIOS_ATTR = """<?xml version='1.0' encoding='ISO-8859-1' ?>
    <firewall name='3-zones.xml' version='1.0'>
    </firewall>
    """
    doc = parseString(NO_NETBIOS_ATTR)
    parse = _parse_firewall_file(doc.documentElement, False)
    netbios = list(parse)[-3]
    assert netbios == 1

def test_netbios_fields():
    """ Présence des règles netbios générées
    """
    matrix_model = initialize_app(join(test_dir, 'test1.xml'))
    compiler.compile(matrix_model)
    sortie = output.filter()
    result = "".join(sortie)
    DEFAULT_NETBIOS_POLICY = "/sbin/iptables -t filter -A FORWARD -o %%interface_gw%% -j netbios-ext"
    # NETBIOS_POLICY_TARGET = "-j netbios-ext"
    assert DEFAULT_NETBIOS_POLICY in result
