# -*- coding: UTF-8 -*-
"""objets zones (représentation interne)"""

import autopath

from xml.dom.minidom import parseString, parse
from era.noyau import domparsers
from era.noyau.fwobjects import Zone

def setup_module(module):
    zoneA = Zone('zoneA', 30, '127.0.0.1', interface='lo')
    zoneB = Zone('zoneB', 31, '127.0.0.1', interface='lo')
    zoneC = Zone('zoneC', 32, '127.0.0.1', interface='lo')
    
    module.zones = {'zoneA': zoneA,
             'zoneB': zoneB,
             'zoneC': zoneC
                  }

# def test_equal():
#     """qu'est-ce qu'une égalité signifie exactement ?
#     - en termes de niveaux de sécurité
#     - en termes de représentation parfaitement identique
#     - en termes d'ordonnancement dans un tableau (niveau + nom)
#     """
#     zoneA = Zone('zoneA', 50, '127.0.0.1', interface='lo')
#     zoneB = Zone('zoneB', 50, '127.0.0.1', interface='lo')
#     assert zoneA == zoneB

def test_compare():
    """qu'est-ce qu'une comparaison stricte signifie exactement ?
    - en termes de niveaux de sécurité
    - en termes de représentation parfaitement identique
    - en termes d'ordonnancement dans un tableau (niveau + nom)
    """
    zoneA = Zone('zoneA', 50, '127.0.0.1', interface='lo')
    zoneB = Zone('zoneB', 51, '127.0.0.1', interface='lo')
    assert zoneA < zoneB
    # FIXME tester des comparaisons larges (<= et >=)

    

