# -*- coding: UTF-8 -*-
"""tests unitaires du format xml des zones"""

import autopath

from xml.dom.minidom import parseString, parse
from era.noyau import domparsers
from era.noyau.fwobjects import Zone
from StringIO import StringIO



def test_parse_zone():
    """parse une string xml zone"""
    Z_BAS_XML = """<zone name="bastion" level="100" ip="127.0.0.1" network="0.0.0.0" netmask="255.255.255.255" interface="lo" />"""
    doc = parseString(Z_BAS_XML)
    z = domparsers.instantiate_zone_from_dom(doc.firstChild)
    assert z.name == "bastion"
    assert z.level == 100
    assert z.ip == "127.0.0.1"
    assert z.network == "0.0.0.0"
    assert z.netmask == "255.255.255.255"
    assert z.interface == "lo"

def test_save_zone():
    """enregistrement en xml d'une zone"""
    z_bas = Zone('bastion', 100, '127.0.0.1', network="0.0.0.0", interface='lo')
    fh = StringIO()
    z_bas.save(fh)
    output = fh.getvalue()
    expected = """<zone name="bastion" level="100" ip="127.0.0.1" network="0.0.0.0" netmask="255.255.255.255" interface="lo"/>\n"""
    assert output == expected
