"""tests unitaires pour poste_interdits"""

import unittest

import sys
import autopath
from era.lib.postes_interdits import regles_horaires

class PostesInterditsTC(unittest.TestCase):

    def test_regles_horaires(self):
        self.assertEquals(regles_horaires("A#B#C#vendredi#mardi", "GW"),
                          """/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Fri -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Fri -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Sat -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Sat -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Sun -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Sun -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Mon -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Mon -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Tue -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Tue -j DROP
""")

        self.assertEquals(regles_horaires("A#B#C#mardi#vendredi", "GW"),
                          """/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Tue -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Tue -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Wed -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Wed -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Thu -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Thu -j DROP
/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Fri -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Fri -j DROP
""")

        self.assertEquals(regles_horaires("A#B#C#mardi#mardi", "GW"),
                          """/sbin/iptables -I INPUT -p tcp --dport 3128 -s A -m time --timestart B --timestop C --days Tue -j DROP
/sbin/iptables -I ped-ext -i eth2 -o GW -s A -m time --timestart B --timestop C --days Tue -j DROP
""")


if __name__ == '__main__':
    unittest.main()
